%define req_gnomevfs_version 2.1.5

Summary:        The GNOME virtual file-system extra modules
Name:           gnome-vfs-extras
Version:        0.99.10
Release:        3mdk
License:	GPL
Group:          System/Libraries
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnome-vfs2-devel >= %{req_gnomevfs_version}
BuildRequires:  rio500-devel >= 0.8.1
BuildRequires:	intltool >= 0.20
Requires: gnome-vfs2 >= %{req_gnomevfs_version}

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. This package contains some extra modules that for
various reasons are not distributed with the core gnome-vfs package.
Amongst other things it includes a samba based smb network browser 
and an icecast layer.

%prep
%setup -q

%build
%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -fr %{buildroot}

%makeinstall_std

%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{a,la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/extra-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_datadir}/gnome/*

%changelog
* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.10-3mdk
- Fix BuildRequires

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.99.10-2mdk
- Rebuild for latest ORBit2

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.10-1mdk
- Release 0.99.10

* Mon Feb 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.9-1mdk
- Release 0.99.9

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.8-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.8-1mdk
- Release 0.99.8

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.7-2mdk
- Rebuilt against latest glibc

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.7-1mdk
- Release 0.99.7

* Tue Aug 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.3-1mdk
- Release 0.99.3
- Remove patch0 (merged upstream)

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-2mdk
- Patch0: Disable debug output for rio500 method
- Rebuild against rio500 0.8.1

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-1mdk
- Release 0.99.1

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.99.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.0-1mdk
- Release 0.99.0 (GNOME 2 only)
- Remove patch0 (merged upstream)

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-2mdk
- Patch0: fix compilation with latest version of gnome1 platform

* Thu Aug 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-1mdk
- Release 0.1.3

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- Release 0.1.2

* Fri Jul 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.1-1mdk
- Release 0.1.1

* Thu Jun  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

* Wed Jun  6 2001 Alexander Larsson <alexl@redhat.com>
- Initial version
